# BadTraffic2 version 2.1.0

## Components 

A linking guide to the pieces of BadTraffic v2.

* Perl Client Module  (this module)
  - use this to write BadTraffic scripts
  - also provides some pre-written command-line scripts
  - github: [BadTraffic2](https://github.ncsu.edu/OIT-IWS/ncsu-badtraffic2)

* REST API
  - the API behind the Perl client module
  - you may use this API directly from other languages
  - docs: [BadTraffic 2 REST API](https://sysnews.ncsu.edu/restdocs/badtraffic2)

* REST Server Software
  - in case you wanted to run your own REST server and database
  - written in Perl using the Dancer2 framework
  - github: [BadTraffic2-Server](https://github.ncsu.edu/OIT-IWS/ncsu-badtraffic2-server)

* Puppet Module
  - manifests and files to install and configure the BadTraffic v2
    client on a server
  - github: [badtraffic2](https://github.ncsu.edu/oit-iws-puppet/badtraffic2)

## Installation

To install this module, run the following commands:

	perl Makefile.PL
	make
	make test
	make install

Alternatively, to install with Module::Build, you can use the following commands:

	perl Build.PL
	./Build
	./Build test
	./Build install


## DEPENDENCIES

    perl(JSON)
    perl(NCSU::RESTclient) >= 0.5.1
    perl(Net::CIDR::Set)
    perl(URI)

